version: "3.3"
services:
  devserver:
    build:
      context: .
      dockerfile: Dockerfile.devserver
    restart: $DEV_RESTART
    ports:
      - $DEV_PORT:9000
    environment:
      - CORS_ALLOWED_HOSTS
      - WEBPACK_MODE=development
      - HTTP_FOLDER
      - DEV_PORT
    volumes:
      - ./:/opt

  httpd:
    ports:
      - $PORT:80

  annotot:
    ports:
      - ${ANNOTOT_PORT}:3000
